/*
  garon -- A simple tool for formatting USB sticks.
  
  Copyright (C) 2007  Claudio Saavedra <csaavedra@alumos.utalca.cl>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include <gtk/gtk.h>
#include <glib-object.h>

G_BEGIN_DECLS 

typedef struct _GaronWindow        GaronWindow;
typedef struct _GaronWindowPrivate GaronWindowPrivate;
typedef struct _GaronWindowClass   GaronWindowClass;

#define GARON_TYPE_WINDOW            (garon_window_get_type ())
#define GARON_WINDOW(obj)                  (G_TYPE_CHECK_INSTANCE_CAST ((obj), GARON_TYPE_WINDOW, GaronWindow))
#define GARON_WINDOW_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST ((klass),  GARON_TYPE_WINDOW, GaronWindowClass))
#define GARON_IS_WINDOW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GARON_TYPE_WINDOW))
#define GARON_IS_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  GARON_TYPE_WINDOW))
#define GARON_WINDOW_GET_CLASS(obj)        (G_TYPE_INSTANCE_GET_CLASS ((obj),  GARON_TYPE_WINDOW, GaronWindow))

struct _GaronWindow {
	GtkDialog dialog;
	GaronWindowPrivate *priv;
};

struct _GaronWindowClass {
	GtkDialogClass dialog_class;
};

GType garon_window_get_type (void);
GtkWidget * garon_window_new (void);

G_END_DECLS

